JAGUARETE_KAA/CARRO/urls.py
from django.urls import path
from .views import *

app_name = "carro"

urlpatterns = [
    path("carro/", listado_carro, name='carro'),
    path("agregar/<int:producto_id>/", agregar_producto, name="agregar"),
    path("eliminar/<int:producto_id>/", eliminar_producto, name="eliminar"),
    path("restar/<int:producto_id>/", restar_producto, name="restar"),
    path("vaciar/", vaciar_carro, name="vaciar"),

]

JAGUARETE_KAA/JAGUARETE_KAA/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('accounts/', include("USUARIOS.urls")),
    path('', include("JUGUETES.urls")),
    path('', include("CARRO.urls")),
    
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

JAGUARETE_KAA/CARRO/models.py
from django.db import models

# Create your models here.

JAGUARETE_KAA/CARRO/views.py
from django.contrib.auth.decorators import login_required
from django.db.models import Q
from django.shortcuts import render, redirect, HttpResponse
from CARRO.carro import Carro
from JUGUETES.models import Producto, Categoria


@login_required(login_url='/accounts/acceder')
def agregar_producto(request, producto_id):
    carro = Carro(request)
    produc = Producto.objects.get(id=producto_id)
    carro.agregar(producto=produc)
    return redirect("carro:carro")


@login_required(login_url='/accounts/acceder')
def eliminar_producto(request, producto_id):
    carro = Carro(request)
    produc = Producto.objects.get(id=producto_id)
    carro.remover(producto=produc)
    return redirect("carro:carro")


@login_required(login_url='/accounts/acceder')
def restar_producto(request, producto_id):
    carro = Carro(request)
    produc = Producto.objects.get(id=producto_id)
    carro.restar(producto=produc)
    return redirect("carro:carro")


@login_required(login_url='/accounts/acceder')
def vaciar_carro(request):
    carro = Carro(request)
    carro.vaciar()
    return redirect("carro:carro")


@login_required(login_url='/accounts/acceder')
def listado_carro(request):
    lista_productos = Producto.objects.all()
    categorias = Categoria.objects.all()
    queryset = request.GET.get("busqueda")
    if queryset:
        lista_productos = Producto.objects.filter(
            Q(nombre__icontains=queryset) |
            Q(descripcion__icontains=queryset)
        ).distinct()
    return render(request, "carro.html", {"productos": lista_productos, "categorias": categorias})

JAGUARETE_KAA/CARRO/templates/carro.html
{% extends 'layout.html' %}

{% block title %}Carrito de compras{%endblock %}

{% block content %}
    <table class="table table-striped table-light">
        <thead>
            <tr>
                <th colspan="4" class="text-center">
                    Carrito de compras
                </th>
            </tr>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Producto</th>
                <th scope="col">Cantidad</th>
                <th scope="col">Precio</th>
            </tr>
        </thead>
        <tbody>

            {% if request.session.carro.items %}
                {% for key, value in request.session.carro.items %}
                    <tr>
                        <th scope="row">1</th>
                        <td>{{ value.nombre }}</td>
                        <td>{{ value.cantidad }}</td>
                        <td>
                            <a href="{% url 'carro:restar' value.producto_id %}" class="btn btn-sm btn-success">-</a>
                            ${{ value.precio }}
                            <a href="{% url 'carro:agregar' value.producto_id %}" class="btn btn-sm btn-success">+</a>                            
                        </td>
                    </tr>
                {% endfor %}
            {% else %}
                <tr>
                    <td colspan="4">
                        <div class="alert alert-danger text-center mb-0" >
                            No hay productos en el carrito
                        </div>
                    </td>
                </tr>
            {% endif %}

        </tbody>
        <tfoot>
            <tr>
                {% if request.session.carro.items %}
                <td>
                    TOTAL: ${{ monto }} <br>PRODUCTOS: {{ cantidad_pruductos }}u.
                </td>
                <td colspan="2" class="text-center">
                    <a href="#" class="btn btn-lg btn-success">Finalizar Compra</a>
                </td>
                <td class="text-right" >
                    <a href="{% url 'carro:vaciar' %}" class="btn btn-warning">Vaciar Carrito</a>
                </td>
                {% endif %}
            </tr>
        </tfoot>
    </table>

{% endblock %}